Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.ehbox.api.utils
Class SigningValue

    java.lang.Object
      be.ehealth.businessconnector.ehbox.api.utils.SigningValue

    public class SigningValue

extends Object

TDJIR EHCON-347: Description of the class.

Constructor Summary
`SigningValue()`

Method Summary
`DataHandler` | `getBinarySigningContent()`
`String` | `getSigningDownloadFileName()`
`String` | `getSigningType()`
`String` | `getTextSigningContent()`
`void` | `setBinarySigningContent(DataHandler binarySigningContent)`
`void` | `setSigningDownloadFileName(String signingDownloadFileName)`
`void` | `setSigningType(String signingType)`
`void` | `setTextSigningContent(String textSigningContent)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SigningValue

    public SigningValue()

Method Detail

### getSigningDownloadFileName

    public String getSigningDownloadFileName()

  Returns:
    the signingDownloadFileName

### setSigningDownloadFileName

    public void setSigningDownloadFileName(String signingDownloadFileName)

  Parameters:
    `signingDownloadFileName` - the signingDownloadFileName to set

### getTextSigningContent

    public String getTextSigningContent()

  Returns:
    the textSigningContent

### setTextSigningContent

    public void setTextSigningContent(String textSigningContent)

  Parameters:
    `textSigningContent` - the textSigningContent to set

### getBinarySigningContent

    public DataHandler getBinarySigningContent()

  Returns:
    the binarySigningContent

### setBinarySigningContent

    public void setBinarySigningContent(DataHandler binarySigningContent)

  Parameters:
    `binarySigningContent` - the binarySigningContent to set

### getSigningType

    public String getSigningType()

  Returns:
    the signingType

### setSigningType

    public void setSigningType(String signingType)

  Parameters:
    `signingType` - the signingType to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.